clang 8.0.0

Public Member Functions | List of all members
clang::tooling::CodeRangeASTSelectionRequirement Class Reference

A selection requirement that is satisfied when the selection range overlaps with a number of neighbouring statements in the AST. More...

`#include "clang/Tooling/Refactoring/RefactoringActionRuleRequirements.h"`

Inheritance diagram for clang::tooling::CodeRangeASTSelectionRequirement:
[legend]
Collaboration diagram for clang::tooling::CodeRangeASTSelectionRequirement:
[legend]

## Public Member Functions
Expected< CodeRangeASTSelection > | evaluate (RefactoringRuleContext &Context) const
Public Member Functions inherited from clang::tooling::ASTSelectionRequirement
Expected< SelectedASTNode > | evaluate (RefactoringRuleContext &Context) const
Public Member Functions inherited from clang::tooling::SourceRangeSelectionRequirement
Expected< SourceRange > | evaluate (RefactoringRuleContext &Context) const

## Detailed Description

A selection requirement that is satisfied when the selection range overlaps with a number of neighbouring statements in the AST.

The statemenst must be contained in declaration like a function. The selection range must be a non-empty source selection (i.e. cursors won't be accepted).

The requirement will be evaluated only once during the initiation and search of matching refactoring action rules.

See also
  CodeRangeASTSelection

Definition at line 75 of file RefactoringActionRuleRequirements.h.

## Member Function Documentation

## ◆ evaluate()

Expected< CodeRangeASTSelection > CodeRangeASTSelectionRequirement::evaluate | ( | RefactoringRuleContext & | Context | ) | const

Definition at line 31 of file ASTSelectionRequirements.cpp.

The documentation for this class was generated from the following files:

- include/clang/Tooling/Refactoring/RefactoringActionRuleRequirements.h
- lib/Tooling/Refactoring/ASTSelectionRequirements.cpp